function iFrameProxifyWookie() {
    var elemToCheck = document.getElementsByTagName("iframe");
	for(var i=0; i<elemToCheck.length; i++)
	{
		if (elemToCheck[i].addEventListener) { // Firefox, Opera, IE since version 9
			elemToCheck[i].addEventListener ('DOMAttrModified', iframeAttrModified, false);
		}
		if (elemToCheck[i].attachEvent) {  // Internet Explorer
			elemToCheck[i].attachEvent ('onpropertychange', iframeAttrModified);
		}
		if (typeof(WebKitMutationObserver)!=='undefined') { // Chrome, Safari
			var observer = new WebKitMutationObserver(function (mutations) {
				mutations.forEach(iframeAttrModified);
			});
			observer.observe(elemToCheck[i], { attributes: true, subtree: false });
		}
	}
}

function iframeAttrModified (event) {
    var message = "";
    if ('attrChange' in event) {    // Firefox, Opera, Internet Explorer from version 9
		proxifyIframeSrcUrl(event.target, event.newValue);
    }

    if ('propertyName' in event) {  // Internet Explorer
		proxifyIframeSrcUrl(event.srcElement, event.srcElement.getAttributeNode('src').value);
    }
	
	if ('attributeName' in event) { // Chrome, Safari
		proxifyIframeSrcUrl(event.target, event.target.getAttributeNode('src').value);
	}
}

function proxifyIframeSrcUrl (elem, newsrc) {
	if (newsrc.indexOf(widget.proxyUrl) == -1) {
		elem.setAttribute('src', widget.proxify(newsrc));
	}
}

function initAllIframeUrls() {
    var allIframes = document.getElementsByTagName("iframe");
    for (var i = 0; i < allIframes.length; i++) {
        proxifyIframeSrcUrl(allIframes[i], allIframes[i].getAttributeNode('src').value);
    }
}
