﻿//returns one of this values: widget, application, fullscreen, docked; defaults to widget
function myWidgetModeGetter() {
    if (typeof window.matchMedia != "undefined") {
        var mediamatcher = window.matchMedia("(view-mode: windowed)");
        if (mediamatcher.matches) {
            return "application";
        }

        mediamatcher = window.matchMedia("(view-mode: floating)");
        if (mediamatcher.matches) {
            return "widget";
        }

        mediamatcher = window.matchMedia("(view-mode: fullscreen)");
        if (mediamatcher.matches) {
            return "fullscreen";
        }

        mediamatcher = window.matchMedia("(view-mode: maximized)");
        if (mediamatcher.matches) {
            return "application";
        }

        mediamatcher = window.matchMedia("(view-mode: minimized)");
        if (mediamatcher.matches) {
            return "docked";
        }
        return "widget";
    }
    else {
        if (isMedia("(view-mode: windowed)")) {
            return "application";
        }

        if (isMedia("(view-mode: floating)")) {
            return "widget";
        }

        if (isMedia("(view-mode: fullscreen)")) {
            return "fullscreen";
        }

        if (isMedia("(view-mode: maximized)")) {
            return "application";
        }

        if (isMedia("(view-mode: minimized)")) {
            return "docked";
        }
        return "widget";
    }
}

var isMedia = (function () {
    var div;
    return function (query) {

        //if the div element doesn't exist, create it and make sure it's hidden
        if (!div) {
            div = document.createElement("div");
            div.id = "widgetModeTestObject";
            div.style.cssText = "position:absolute;top:-1000px";
            document.body.insertBefore(div, document.body.firstChild);
        }

        div.innerHTML = "_<style media=\"" + query + "\"> #widgetModeTestObject { width: 1px; }</style>";
        div.removeChild(div.firstChild);
        return div.offsetWidth == 1;
    };
})();